For the complete documentation index, see llms.txt. This page is also available as Markdown.

Api keys

List all API keys within an organization

get
Path parameters
organizationIdstringRequired

The id of the organization to find API keys within

Query parameters
offsetinteger · int32Optional

The offset into queried items to return

limitinteger · int32 · max: 100Optional

How many items to return at one time (max 100)

Responses
200

A paged array of API keys

application/json
totalResultsintegerRequired
offsetintegerRequired
limitintegerRequired
get/v1/identity/organizations/{organizationId}/api-keys

Create an API key

post
Path parameters
organizationIdstringRequired

The id of the organization to find API keys within

Body
namestringRequired
Responses
200

Expected response to a valid request

application/json
apiKeyTokenstringRequired
post/v1/identity/organizations/{organizationId}/api-keys

Get an API key

get
Path parameters
organizationIdstringRequired

The id of the organization the API key is within

apiKeyIdstringRequired

The id of the API key

Responses
200

An API key

application/json
idstringRequired
namestringRequired
createdAtstringRequired
createdByone ofOptional
or
get/v1/identity/organizations/{organizationId}/api-keys/{apiKeyId}

Update an API Key

post
Path parameters
organizationIdstringRequired

The id of the organization the API key is within

apiKeyIdstringRequired

The id of the API key

Body
namestringRequired
Responses
200

Expected response to a valid request

application/json
idstringRequired
namestringRequired
createdAtstringRequired
createdByone ofOptional
or
post/v1/identity/organizations/{organizationId}/api-keys/{apiKeyId}

Delete an API Key

delete
Path parameters
organizationIdstringRequired

The id of the organization the API key is within

apiKeyIdstringRequired

The id of the API key

Responses
204

Expected response to a valid request

No content

delete/v1/identity/organizations/{organizationId}/api-keys/{apiKeyId}

No content

Was this helpful?